]> rtime.felk.cvut.cz Git - can-benchmark.git/blobdiff - continuous/steps/bisect-run.sh
continuous: Add script to be used with "git bisect run"
[can-benchmark.git] / continuous / steps / bisect-run.sh
diff --git a/continuous/steps/bisect-run.sh b/continuous/steps/bisect-run.sh
new file mode 100755 (executable)
index 0000000..b4826c3
--- /dev/null
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+set -x
+
+cd $(dirname $0)
+./11-patch
+./20-config
+./30-compile
+cd ../tests
+timeout 30s ./kernelgw || ( echo Returned $?; exit 1 )